hmisc (4.5-0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 28 Feb 2021 09:55:59 -0600

hmisc (4.4-2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 29 Nov 2020 00:15:59 -0600

hmisc (4.4-1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 10 Aug 2020 18:33:41 -0500

hmisc (4.4-0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Mar 2020 12:01:04 -0500

hmisc (4.3-1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 07 Feb 2020 10:03:36 -0600

hmisc (4.3-0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 07 Nov 2019 18:55:14 -0600

hmisc (4.2-0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 Jan 2019 08:29:27 -0600

hmisc (4.1-1-3) unstable; urgency=medium

  * debian/control: Add 'r-cran-nnet' and 'r-cran-foreign' to Depends:
    which we omitted when we added it to Build-Depends: in Sep 2014.
    							(Closes: #900974)
                                                        
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 07 Jun 2018 08:39:05 -0500

hmisc (4.1-1-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 07 Jun 2018 07:40:53 -0500

hmisc (4.1-1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 06 Jan 2018 07:55:56 -0600

hmisc (4.1-0-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 20 Dec 2017 14:43:22 -0600

hmisc (4.0-3-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 May 2017 08:53:27 -0500

hmisc (4.0-2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 31 Dec 2016 12:28:59 -0600

hmisc (4.0-1-1) unstable; urgency=medium

  * New upstream release

  * R/describe.s: Changed to use base64enc instead of base64, change will
    be made upstream too

  * DESCRIPTION: Changed Imports: to base64enc
  * NAMESPACE: Commented out import from base64
  * debian/control: Add r-cran-base64enc to (Build-)Depends


 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 09 Dec 2016 11:09:51 -0600

hmisc (4.0-0-1) unstable; urgency=medium

  * New upstream release with updated dependencies:
    - added gtable and htmltools (already in Debian)
    - adding htmlTable and viridis now packaged and in Debian

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 11 Nov 2016 19:48:44 -0600

hmisc (3.17-4-2) unstable; urgency=medium

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 10 Jul 2016 07:27:14 -0500

hmisc (3.17-4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Add r-cran-data.table to (Build-)Depends
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 May 2016 13:40:39 -0500

hmisc (3.17-3-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 Apr 2016 07:26:23 -0500

hmisc (3.17-2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 21 Feb 2016 22:05:06 -0600

hmisc (3.17-1-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: on r-cran-ggplot2 to (>= 2.0.0)

  * debian/rules: Set export DEB_BUILD_OPTIONS=noddebs

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 20 Dec 2015 16:01:23 -0600

hmisc (3.17-0-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 22 Sep 2015 16:58:44 -0500

hmisc (3.16-0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Add r-cran-gridextra to (Build-)Depends
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 30 Apr 2015 07:32:13 -0500

hmisc (3.15-0-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Add r-cran-ggplot2 to (Build-)Depends

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Feb 2015 16:11:40 -0600

hmisc (3.14-6-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Nov 2014 07:05:04 -0600

hmisc (3.14-5-2) unstable; urgency=low

  * debian/control: Add (Build-)Depends: for r-cran-ace package which is now
    back in Debian

  * DESCRIPTION: Undo previous (temporary) change of removing acepack
  * NAMESPACE: Ditto
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 17 Sep 2014 17:09:22 -0500

hmisc (3.14-5-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Add new Build-Depends: r-cran-nnet and r-cran-foreign
  * DESCRIPTION: Yet but for now, comment-out dependency on acepack while
    the package gets reinstated into Debian (where it was withdrawm as it
    had been removed upstream)
  * NAMESPACE: Ditto
 
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 14 Sep 2014 07:21:58 -0500

hmisc (3.14-4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 13 Apr 2014 16:30:47 -0500

hmisc (3.14-3-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 02 Mar 2014 13:25:24 -0600

hmisc (3.14-1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 26 Feb 2014 12:23:50 -0600

hmisc (3.14-0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Add new (Build-)Depends: on r-cran-latticeextra
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 Jan 2014 14:30:51 -0600

hmisc (3.13-0-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 21 Nov 2013 13:08:35 -0600

hmisc (3.12-2-2) unstable; urgency=low

  * debian/control: Expand Depends: to include r-cran-rpart (Closes: #719381)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Aug 2013 08:26:55 -0500

hmisc (3.12-2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Added r-cran-formula to (Build-)Depends: (after the
    package has now migrated from the NEW queue into the Debian archive)
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 09 Aug 2013 22:06:14 -0500

hmisc (3.10-1.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 05 May 2013 16:23:28 -0500

hmisc (3.10-1-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Mar 2013 09:34:11 -0500

hmisc (3.10-1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Oct 2012 15:46:00 -0500

hmisc (3.9-3-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Mar 2012 18:58:23 -0500

hmisc (3.9-2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 10 Feb 2012 13:00:54 -0600

hmisc (3.9-1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 14 Jan 2012 11:07:14 -0600

hmisc (3.9-0-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 08 Nov 2011 13:59:06 -0600

hmisc (3.8-3-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 09 Sep 2010 09:40:10 -0500

hmisc (3.8-2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 Jun 2010 16:02:20 -0500

hmisc (3.8-1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 04 Jun 2010 14:53:41 -0500

hmisc (3.8-0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 May 2010 15:48:49 -0500

hmisc (3.7-0.1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 02 May 2010 21:12:55 -0500

hmisc (3.7-0-3) unstable; urgency=low

  * debian/control: Remove (Build-)Depends: for r-cran-acepack
    (which has been only a Suggests: for several Hmisc versions)
    as acepack has been removed from CRAN.

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 05 Nov 2009 20:44:12 -0600

hmisc (3.7-0-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Nov 2009 09:30:29 -0600

hmisc (3.7-0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Sep 2009 19:52:41 -0500

hmisc (3.6-1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.2

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Aug 2009 15:06:13 -0500

hmisc (3.6-0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Added 'r-cran-survival' to (Build-)Depends:
  
  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 29 Apr 2009 17:14:46 -0500

hmisc (3.5-2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Jan 2009 16:30:56 -0600

hmisc (3.5-0-1) unstable; urgency=low

  * New upstream release

  * debian/control: (Build-)Depends: updated to r-base-(core|dev) (>= 2.8.1)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 Jan 2009 15:13:49 -0600

hmisc (3.4-4-1) unstable; urgency=low

  * New upstream release

  * debian/control: (Build-)Depends: updated to r-base-(core|dev) (>= 2.8.0)
  * debian/control: Upgraded Standards-Version: to 3.8.0

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Nov 2008 18:02:26 -0600

hmisc (3.4-3-1) unstable; urgency=low

  * New upstream release

  * Built with R 2.6.0, so setting (Build-)Depends: to 
    'r-base-(core|dev) >= 2.6.0' to prevent move to testing before R 2.6.0
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 05 Nov 2007 21:22:19 -0600

hmisc (3.4-2-2) unstable; urgency=low

  * R/errbar.s: Applied upstream patch by Charles Dupont which adds 
    support for plots with logarithmic axes 	(Closes: #429426)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 14 Jul 2007 11:21:23 -0500

hmisc (3.4-2-1) unstable; urgency=low

  * New upstream release
  * debian/control: (Build-)Depends: updated to r-base-dev (>= 2.5.1)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 07 Jul 2007 20:44:32 -0500

hmisc (3.4-1-1) unstable; urgency=low

  * New upstream release
  * debian/control: (Build-)Depends: updated to r-base-dev (>= 2.5.1~20070618)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 Jun 2007 19:15:24 -0500

hmisc (3.3-2-1) unstable; urgency=low

  * New upstream release
  * debian/control: (Build-)Depends: updated to r-base-dev (>= 2.5.0)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 27 Apr 2007 19:48:33 -0500

hmisc (3.3-1-1) unstable; urgency=low

  * New upstream release
  * debian/control: (Build-)Depends: updated to r-base-dev (>> 2.4.1)
  
  * debian/control: Added r-cran-acepack, r-cran-lattice, r-cran-cluster 
    to (Build-)Depends:

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Apr 2007 23:23:21 -0500

hmisc (3.2-1-1) unstable; urgency=low

  * New upstream release
  * debian/control: (Build-)?Depends: updated to r-base-dev (>= 2.4.1)
  * debian/watch: Updated regular expression

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Feb 2007 18:07:24 -0600

hmisc (3.1.2-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Removed (Build-)Depends: on r-cran-acepack and 
    r-cran-lattice as the upstream DESCRIPTION only Suggests: them

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Oct 2006 18:31:48 -0500

hmisc (3.1.1-2) unstable; urgency=low

  * debian/control: Also add Depends: r-cran-chron

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 20 Oct 2006 14:50:01 -0500

hmisc (3.1.1-1) unstable; urgency=low

  * New upstream release 
  
  * debian/rules: Simplified to cdbs-based one-liner sourcing r-cran.mk 
  * debian/control: (Build-)?Depends: updated to r-base-dev (>= 2.4.0)
  * debian/control: Added Build-Depends: on r-cran-chron which is now
    available in Debian

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 20 Oct 2006 14:23:59 -0500

hmisc (3.0.12-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Updated Build-Depends to r-base-core (>> 2.2.1) which
    permits removal of f2c [m68k] as gfortran is now used across platforms
  * debian/watch: Updated to version=3

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 18 Apr 2006 20:37:29 -0500

hmisc (3.0.10-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Jan 2006 12:45:11 -0600

hmisc (3.0.9-1) unstable; urgency=low

  * New upstream release
  * debian/post{inst,rm}: No longer call /usr/bin/R 
  * debian/control: Updated Builds-Depends: to r-base-dev (>= 2.2.0)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 10 Jan 2006 14:56:26 -0600

hmisc (3.0.7-1) unstable; urgency=low

  * New upstream release
  * debian/watch: Corrected regular expression (thanks, Rafael Laboissier)
  * debian/post{inst,rm}: Call /usr/bin/R explicitly (thanks, Kurt Hornik)
  * debian/control: Upgraded Standards-Version: to 3.6.2.1

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 16 Sep 2005 19:27:05 -0500

hmisc (3.0.6-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  2 Jun 2005 20:47:35 -0500

hmisc (3.0.5-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 22 Apr 2005 22:50:59 -0500

hmisc (3.0.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Nov 2004 21:01:38 -0600

hmisc (3.0.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 22 Nov 2004 22:13:52 -0600

hmisc (2.2.3-2) unstable; urgency=low

  * Rebuilt under R 2.0.0
  * debian/control: Updated Build-Depends: and Depends: accordingly

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  7 Oct 2004 22:29:58 -0500

hmisc (2.2.3-1) unstable; urgency=low
  
  * New upstream release
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 12 Sep 2004 20:50:16 -0500

hmisc (2.2.2-1) unstable; urgency=low

  * New upstream release
  * debian/post{inst,rm}: Call build-help.pl to update package.html list
  * debian/control: Updated Builds-Depends and Depends to R 1.9.1
  * debian/control: Updated Standards-Version to 3.6.1.1

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 11 Sep 2004 17:24:28 -0500

hmisc (2.2.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  3 Jun 2004 22:23:56 -0500

hmisc (2.0.9-1) unstable; urgency=low

  * New upstream release
  * Upstream release contains fix for LaTeX bug report (Closes: #233578)
  * Built with 1.9.0 cvs dated 2004.03.21 (package r-base_1.8.1.cvs.20040321)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 23 Mar 2004 16:24:16 -0600

hmisc (2.0.4-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 17 Oct 2003 20:38:32 -0500

hmisc (2.0.3-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Updated moving towards common cdbs file
  * debian/control: Increased Standards-Version to 3.6.1.0

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 13 Oct 2003 22:13:38 -0500

hmisc (2.0.0.1-2) unstable; urgency=low

  * debian/control: Also Conflicts: and Provides: r-noncran-hmisc

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 30 Jul 2003 20:28:41 -0500

hmisc (2.0.0.1-1) unstable; urgency=low

  * New upstream release, now officially part of CRAN
  * debian/control: Binary package renamed to r-cran-hmisc 
  * debian/control: Replaces: r-noncran-hmisc
  * debian/{copyright,rules}: Updated to reflect renaming
  * Version number increased so that we could upload a new .orig.tar.gz

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 30 Jul 2003 19:37:34 -0500

hmisc (2.0.0-2) unstable; urgency=low

  * debian/rules: Don't use dir. name to infer tar file (Closes: #202181)
  * debian/control: Increased Standards-Version: to 3.6.0

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 22 Jul 2003 10:52:06 -0500

hmisc (2.0.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  8 Jul 2003 20:12:27 -0500

hmisc (1.6.1-1) unstable; urgency=low

  * Initial Debian Release, closes Intent to Package (Closes: #198570)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  5 Jul 2003 13:50:53 -0500
